## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 22
%bcond_without check
%global debug_package %{nil}

%global crate compiletest_rs

Name:           rust-compiletest_rs
Version:        0.8.0
Release:        %autorelease
Summary:        Compiletest utility from the Rust compiler as a standalone testing harness

# Upstream license specification: Apache-2.0/MIT
License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/compiletest_rs
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          compiletest_rs-fix-metadata-auto.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Compiletest utility from the Rust compiler as a standalone testing harness.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustc-devel %{_description}

This package contains library source intended for building other packages which
use the "rustc" feature of the "%{crate}" crate.

%files       -n %{name}+rustc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+stable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+stable-devel %{_description}

This package contains library source intended for building other packages which
use the "stable" feature of the "%{crate}" crate.

%files       -n %{name}+stable-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tempfile-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tempfile-devel %{_description}

This package contains library source intended for building other packages which
use the "tempfile" feature of the "%{crate}" crate.

%files       -n %{name}+tempfile-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tmp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tmp-devel %{_description}

This package contains library source intended for building other packages which
use the "tmp" feature of the "%{crate}" crate.

%files       -n %{name}+tmp-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Aug 10 2022 Fabio Valentini <decathorpe@gmail.com> 0.8.0-1
- Update to version 0.8.0; Fixes RHBZ#2089063

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Feb 21 2022 Fabio Valentini <decathorpe@gmail.com> 0.7.1-3
- Bump rustfix from 0.5 to 0.6

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Nov 04 2021 Fabio Valentini <decathorpe@gmail.com> 0.7.1-1
- Update to version 0.7.1; Fixes RHBZ#2016911

* Fri Aug 06 2021 Fabio Valentini <decathorpe@gmail.com> 0.7.0-1
- Update to version 0.7.0; Fixes RHBZ#1927352

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Sep 15 2020 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-1
- Update to version 0.5.0.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Mar 05 2020 Josh Stone <jistone@redhat.com> - 0.4.1-1
- Update to 0.4.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Dec 14 02:54:03 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.0-1
- Initial package

